; Getchu用検索設定
;  http://www.getchu.com/

[generic]

SiteName=Getchu
TopPage=http://www.getchu.com/php/attestation.html?aurl=http://www.getchu.com/top.html
;文字コードはEUC
PageEncoding=EUC-JP
AgeCheckURL=href="([^"]*?gc=gc[^"]*?)"

;サイト固有の型番生成(「-」除去)
ProductCodePrepareScript=getchu_ProductCode_Prepare.ps1

[search]
; 検索
1=http://www.getchu.com/php/search.phtml?genre=all&search_keyword={PRODUCTCODE}&check_key_dtl=1&submit=

[TitleList]

BodyFilter=class="content_block".*?id="package_block".*?</div>
Regex=href="(?<url>[^"]*)".*?data-original="(?<thumburl>[^"]*)"
NextPage=href="([^"]*pageID={PAGENO}[^"]*)

[Title.1]

; マーカーなし
;Marker=
; タイトル詳細の切り出しなし
;BodyFilter=
; パッケージ画像、タイトル、販売者、発売日
1=id="soft_table".*?alt="(?<title>[^"]*)".*?サークル：.*?<td[^>]*>(?<seller>[^<]*?)<.*?発売日：.*?<a[^>]*>(?<releasedate>[^<]*?)<
; 型番の項目がないので本文中に現れる型番をそのまま返す
2=(?<productcode>{PRODUCTCODE})
;パッケージ画像
3=property="og:image".*?content="(?<pkgimgurl>[^"]*)"